Page MenuHomePhabricator

Fix browsertests for rank-, snaktype- and badge-selectors on SauceLabs
Closed, ResolvedPublic1 Story Points

Description

They are failing (randomly?) when run on Saucelabs from Jenkins.
See e.g.:
https://integration.wikimedia.org/ci/job/browsertests-Wikidata-WikidataTests-linux-firefox-sauce/181/testReport/

Event Timeline

Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW raised the priority of this task from to High.
Tobi_WMDE_SW assigned this task to WMDE-Fisch.
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2015, 2:27 PM
Tobi_WMDE_SW edited a custom field.May 25 2015, 11:04 AM

Please note that this is currently blocked by upstream (Saucelabs): T92619

Something that would fix the tests also, is changing the behavior of the selector widgets in our UI: T97288

The rank-, snaktype- and badge-selectors tests seem to run well again and only fail randomly. For Chrome the problem of resizing windows was fixed by SauceLabs

see the tests here

https://integration.wikimedia.org/ci/view/BrowserTests/view/Wikidata/job/browsertests-Wikidata-WikidataTests-linux-chrome-sauce-DEBUG/

for Firefox the tests also run well again although the resizing issue was not fixed see

https://integration.wikimedia.org/ci/view/BrowserTests/view/Wikidata/job/browsertests-Wikidata-WikidataTests-linux-firefox-sauce-DEBUG/

The issues might be resolved now ;-)

JanZerebecki renamed this task from Fix browsertests for rank-, snaktype- and badge-selectors to Fix browsertests for rank-, snaktype- and badge-selectors on SauceLabs.Jul 23 2015, 2:37 PM
WMDE-Fisch closed this task as Resolved.Jul 24 2015, 2:37 PM

Just as a small follow up:

Dylan from SauceLabs contacted me if the issue with resizing windows and Firefox is still occurring. I checked a random Firefox screencast from a recent test and it seems to be fixed.